import { Injectable } from '@angular/core';

import { MatSnackBar, MatSnackBarConfig } from '@angular/material';

@Injectable({
  providedIn: 'root'
})
export class SnackBarService {
  public constructor(private matSnackBar: MatSnackBar) {}

  public open(
    message: string,
    action?: string,
    config?: MatSnackBarConfig
  ): void {
    this.matSnackBar.open(message, action, config);
  }
}
